GNU Radio's SATELLITES Package

gr::satellites::matrix_deinterleaver_soft_impl Class Reference

`#include <matrix_deinterleaver_soft_impl.h>`

Inheritance diagram for gr::satellites::matrix_deinterleaver_soft_impl:
[legend]

## Public Member Functions
| matrix_deinterleaver_soft_impl (int rows, int cols, int output_size, int output_skip)
| ~matrix_deinterleaver_soft_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members
Public Types inherited from gr::satellites::matrix_deinterleaver_soft
typedef boost::shared_ptr< matrix_deinterleaver_soft > | sptr
Static Public Member Functions inherited from gr::satellites::matrix_deinterleaver_soft
static sptr | make (int rows, int cols, int output_size, int output_skip)
| Return a shared_ptr to a new instance of satellites::matrix_deinterleaver_soft.

## Constructor & Destructor Documentation

## ◆ matrix_deinterleaver_soft_impl()

gr::satellites::matrix_deinterleaver_soft_impl::matrix_deinterleaver_soft_impl | ( | int | rows,
|  | int | cols,
|  | int | output_size,
|  | int | output_skip )

## ◆ ~matrix_deinterleaver_soft_impl()

gr::satellites::matrix_deinterleaver_soft_impl::~matrix_deinterleaver_soft_impl | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void gr::satellites::matrix_deinterleaver_soft_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## ◆ general_work()

int gr::satellites::matrix_deinterleaver_soft_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## ◆ msg_handler()

void gr::satellites::matrix_deinterleaver_soft_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- matrix_deinterleaver_soft_impl.h